Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043687
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-04-07 09:422020-05-04 07:59
ReportercbernerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision5b6b064ba51e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043687: TranslationHandler does not cancel on first exception and makes more transactions

DescriptionCode in TranslationHandler does not cancel on first exception and makes new transactions afterwards.

So all the rest of the same file and/or module fails with 'transaction is aborted...', not showing if there are additional errors/failures.

It should instead rollback + make a new transaction directly after the error to continue with the next line inside the same file.

a.) Better in case more errors are present per file (to show all of them directly)
b.) Better user-experience as not skipping import of unrelated translations (in the same file after the failing row)
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043272 closedcberner When importing translation for no longer existing elements -> INFO message is missing all necessary details 
related to defect 0043881 newplatform Errors in TranslationHandler should be made accessible to its caller 

-  Notes
(0119342)
cberner (developer)
2020-04-22 18:23

Merge request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/64 [^]
(0119410)
hgbot (developer)
2020-04-27 10:40

Repository: erp/devel/pi
Changeset: 5b6b064ba51e51a0b49a4fb82d6ee6addad01a0b
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Apr 21 18:14:07 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5b6b064ba51e51a0b49a4fb82d6ee6addad01a0b [^]

Fixes ISSUE-43687: Cancel and make new transaction on error in TranslationHandl

---
M src/org/openbravo/erpCommon/ad_forms/TranslationHandler.java
M src/org/openbravo/erpCommon/ad_forms/TranslationManager.java
---

- Issue History
Date Modified Username Field Change
2020-04-07 09:42 cberner New Issue
2020-04-07 09:42 cberner Assigned To => platform
2020-04-07 09:42 cberner Modules => Core
2020-04-07 09:42 cberner Triggers an Emergency Pack => No
2020-04-07 09:42 cberner Relationship added related to 0043272
2020-04-20 14:20 shuehner Description Updated View Revisions
2020-04-21 18:24 cberner Assigned To platform => cberner
2020-04-21 18:24 cberner Status new => scheduled
2020-04-22 18:23 cberner Note Added: 0119342
2020-04-22 18:23 cberner Review Assigned To => alostale
2020-04-27 10:40 hgbot Checkin
2020-04-27 10:40 hgbot Note Added: 0119410
2020-04-27 10:40 hgbot Status scheduled => resolved
2020-04-27 10:40 hgbot Resolution open => fixed
2020-04-27 10:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5b6b064ba51e51a0b49a4fb82d6ee6addad01a0b [^]
2020-04-27 15:49 AtulOpenbravo Relationship added related to 0043881
2020-05-04 07:59 alostale Status resolved => closed
2020-05-04 07:59 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker